* {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

app-search-result {
    app-search-box {
        .search-container {
            min-height: 160px;
        }
    }

    .result-content {
        width: 55%;
        margin: 0 auto;
        margin-top: 40px;
        min-height: 520px;
        justify-content: space-between;

        @media screen and (max-width: 1369px) {
            width: 90%;
            gap: 20px;
        }

        app-filter-box {
            width: 30%;
        }

        app-filter-box .filter-box,
        .result-box {

            border: 1px solid #e5ecf0;
            /* min-height: 100%; */
            border-radius: 20px;
            padding-top: 10px;
        }
    }

    .d-flex {
        display: flex;
    }

    .d-column {
        flex-direction: column;
    }



    app-filter-box .filter-box {
        min-width: 30%;
        height: 500px;
        justify-content: space-around;
        box-shadow: 0px 1px 1px hsl(206deg 48% 24% / 10%), 0px 2px 4px hsl(206deg 48% 24% / 10%);
        overflow: auto;
    }

    .result-box {
        min-width: 65%;
        border: 0px solid !important;

        @media screen and (max-width: 1369px) {
            min-width: 100%;
        }

        .loader {
            margin-top: 100px;
            text-align: center;

            mat-spinner {
                display: block;
                margin: 10px auto;
            }
        }

        .trip-card {
            min-height: 200px;
            width: 100%;
            border: 1px solid #e5ecf0;
            border-radius: 20px;
            box-shadow: 0px 1px 1px hsl(206deg 48% 24% / 10%), 0px 2px 4px hsl(206deg 48% 24% / 10%);
            padding: 15px;
            transition: 500ms;


            .trip-header {
                justify-content: space-between;

                h2 {
                    color: hsl(188, 94%, 46%);
                }
            }

            .trip-body {
                >.d-flex :first-child {
                    p:last-child {
                        font-weight: bold;
                    }
                }
            }

            &:hover {
                box-shadow: 0px 1.5px 1.5px hsl(206deg 48% 24% / 10%), 0px 2px 4px hsl(206deg 48% 24% / 10%);
                transform: scale(1.01);
            }
        }

        .no-result {
            border: 0px solid;
        }
    }
}